Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.xwpf.usermodel
Enum ParagraphAlignment

    java.lang.Object
      java.lang.Enum<ParagraphAlignment>
          org.apache.poi.xwpf.usermodel.ParagraphAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParagraphAlignment>

    public enum ParagraphAlignment

extends java.lang.Enum<ParagraphAlignment>

Specifies all types of alignment which are available to be applied to objects in a WordprocessingML document

Author:
  Yegor Kozlov

Enum Constant Summary
`BOTH`
`CENTER`
`DISTRIBUTE`
`HIGH_KASHIDA`
`LEFT`
`LOW_KASHIDA`
`MEDIUM_KASHIDA`
`NUM_TAB`
`RIGHT`
`THAI_DISTRIBUTE`

Method Summary
`int` | `getValue()`
`static ParagraphAlignment` | `valueOf(int type)`
`static ParagraphAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParagraphAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final ParagraphAlignment LEFT

### CENTER

    public static final ParagraphAlignment CENTER

### RIGHT

    public static final ParagraphAlignment RIGHT

### BOTH

    public static final ParagraphAlignment BOTH

### MEDIUM_KASHIDA

    public static final ParagraphAlignment MEDIUM_KASHIDA

### DISTRIBUTE

    public static final ParagraphAlignment DISTRIBUTE

### NUM_TAB

    public static final ParagraphAlignment NUM_TAB

### HIGH_KASHIDA

    public static final ParagraphAlignment HIGH_KASHIDA

### LOW_KASHIDA

    public static final ParagraphAlignment LOW_KASHIDA

### THAI_DISTRIBUTE

    public static final ParagraphAlignment THAI_DISTRIBUTE

Method Detail

### values

    public static ParagraphAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParagraphAlignment c : ParagraphAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParagraphAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### valueOf

    public static ParagraphAlignment valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.